# Class CIM_SharedSecret
extends CIM_Credential

CIM_SharedSecret is a secret (such as a password or the response to a challenge question) that is shared between a principal and a particular SharedSecret security service. Secrets may be in the form of a password used for initial authentication, or as with a session key, used as part of a message to verify the originator of the message. It is important to note that SharedSecret is not just a password, but rather is the password used with a particular security service.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Credential
|
+--CIM_SharedSecret

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_SharedCredential

Description

string

CIM_SharedSecret is a secret (such as a password or the response to a challenge question) that is shared between a principal and a particular SharedSecret security service. Secrets may be in the form of a password used for initial authentication, or as with a session key, used as part of a message to verify the originator of the message. It is important to note that SharedSecret is not just a password, but rather is the password used with a particular security service.

UMLPackagePath | string | CIM::User::SharedSecret
Version | string | 2.16.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Algorithm | string |
Deprecated | string | CIM_SharedCredential.Algorithm
Description | string | The transformation algorithm, if any, used to protect passwords before use in the protocol. For instance, Kerberos doesn't store passwords as the shared secret, but rather, a hash of the password.
Protocol | string |
Deprecated | string | CIM_SharedCredential.Protocol
Description | string | The protocol with which the SharedSecret is used.
RemoteID | string |
Deprecated | string | CIM_SharedCredential.RemoteID
Description | string | RemoteID is the name by which the principal is known at the remote secret key authentication service.
Key | boolean | true
MaxLen | uint32 | 256
Secret | string |
Deprecated | string | CIM_SharedCredential.Secret
Description | string | The secret known by the principal.
OctetString | boolean | true
ServiceCreationClassName | string |
Deprecated | string | CIM_SharedCredential.InstanceID
Description | string | The scoping Service's CCN.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_SharedSecretService.CreationClassName
ServiceName | string |
Deprecated | string | CIM_SharedCredential.InstanceID
Description | string | The scoping Service's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_SharedSecretService.Name
SystemCreationClassName | string |
Deprecated | string | CIM_SharedCredential.InstanceID
Description | string | The scoping System's CCN.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_SharedSecretService.SystemCreationClassName
SystemName | string |
Deprecated | string | CIM_SharedCredential.InstanceID
Description | string | The scoping System's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_SharedSecretService.SystemName

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
Expires | datetime | CIM_Credential
InstanceID | string | CIM_ManagedElement
Issued | datetime | CIM_Credential

## Class Methods